# Package org.eclipse.jgit.transport.resolver

Server-side resolver for locating repositories by URLs.

Interface Summary
ReceivePackFactory<C>: Create and configure `ReceivePack` service instance.
RepositoryResolver<C>: Locate a Git `Repository` by name from the URL.
UploadPackFactory<C>: Create and configure `UploadPack` service instance.

Class Summary
FileResolver<C>: Default resolver serving from the local filesystem.

Exception Summary
ServiceNotAuthorizedException: Indicates the request service is not authorized for current user.
ServiceNotEnabledException: Indicates the request service is not enabled on a repository.